Bug 1497694 - mysqld service not working by default after bd72127
Summary: mysqld service not working by default after bd72127
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-02 13:27 UTC by Terje Røsten
Modified: 2017-11-12 09:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-12 09:25:23 UTC


Attachments (Terms of Use)

Description Terje Røsten 2017-10-02 13:27:04 UTC
Description of problem:

community-mysql-server %post script does:

 touch /var/log/mysqld.log

RPM runs as root, giving root:root as owner:group on log file.

Before bd72127 - Include mysqld@.service file and do not run start scripts in the unit file as root

mysqld service fixed this by running mysql-prepare-db-dir as root
due to:

# Execute pre and post scripts as root
PermissionsStartOnly=true

in service file.

When bd72127 removed this option, /var/log/mysqld.log will be owned 
root:root when mysqld tries to start and everything fails apart.

mysqld (running as mysql user) can't create /var/log/mysqld.log itself,
in some way file has to present and writable by mysql before mysqld starts.

Comment 1 Fedora Update System 2017-10-27 23:16:39 UTC
community-mysql-5.7.20-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-50c790aaed

Comment 2 Fedora Update System 2017-10-27 23:17:00 UTC
community-mysql-5.7.20-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-95327e44ec

Comment 3 Fedora Update System 2017-10-27 23:17:13 UTC
community-mysql-5.7.20-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e28c78e07

Comment 4 Fedora Update System 2017-10-28 12:17:53 UTC
community-mysql-5.7.20-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-95327e44ec

Comment 5 Fedora Update System 2017-10-28 12:33:56 UTC
community-mysql-5.7.20-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-50c790aaed

Comment 6 Fedora Update System 2017-10-30 14:45:33 UTC
community-mysql-5.7.20-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e28c78e07

Comment 7 Fedora Update System 2017-11-06 23:33:18 UTC
community-mysql-5.7.20-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-11-06 23:33:50 UTC
community-mysql-5.7.20-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-11-11 03:08:14 UTC
community-mysql-5.7.20-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.